package com.sample.pojo;

import java.util.HashMap;
import java.util.Map;

public class TicketCaisse {
	protected String ticketID;
	protected Map<String, ReductionTicket> listeReductionTicket = new HashMap<String, ReductionTicket>();

	private double montantReduction=0;
	public String getTicketID() {
		return ticketID;
	}

	public void setTicketID(String ticketID) {
		this.ticketID = ticketID;
	}






	public ReductionTicket addReductionTicket(String idReduction,
			double montantReduction, String libelle) {
		ReductionTicket l = null;
		if (listeReductionTicket.containsKey(idReduction) == false) {
			l = new ReductionTicket(this, idReduction, montantReduction,
					libelle);
			listeReductionTicket.put(idReduction, l);
		} else {
			l = listeReductionTicket.get(idReduction);
		}
		return l;
	}

	public ReductionTicket delReductionTicket(String idReduction) {
		ReductionTicket l = null;
		if (listeReductionTicket.containsKey(idReduction) == true) {

			listeReductionTicket.remove(idReduction);
		}
		return l;
	}
	public ReductionTicket getReductionTicket(String idReduction) {
		ReductionTicket l = null;
		if (listeReductionTicket.containsKey(idReduction) == true) {

			l = listeReductionTicket.get(idReduction);
		}
		return l;
	}

	public double getMontantReduction() {
		return montantReduction;
	}

	public void setMontantReduction(double montantReduction) {
		this.montantReduction = montantReduction;
	}

}
